# Poco

# class Base64Decoder

Library: Foundation
Package: Streams
Header: Poco/Base64Decoder.h

## Description

This istream base64-decodes all data read from the istream connected to it.

The class implements RFC 4648 - https://tools.ietf.org/html/rfc4648

Note: For performance reasons, the characters are read directly from the given istream's underlying streambuf, so the state of the istream will not reflect that of its streambuf.

## Inheritance

Direct Base Classes: Base64DecoderIOS, std::istream

All Base Classes: Base64DecoderIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### Base64Decoder

Base64Decoder(
std::istream & istr,
int options = 0
);

## Destructor

### ~Base64Decoder

~Base64Decoder();